coraid-update(8)

NAME
coraid-update - upload an update file to a CORAID appliance

SYNOPSIS
coraid-update {update file} {AoE device}

DESCRIPTION
The coraid-update script performs a few sanity checks before copying the local update file to the remote update AoE target on the CORAID appliance.

Two arguments are provided: 1) the name of the update file to be uploaded, and 2) the special block device file corresponding to the update target, e.g., /dev/etherd/e100.40.

It generates no output and exits with a zero status when the update file has been successfully uploaded to the update target on the appliance. Otherwise, an error message is printed to standard error and coraid-update exits with a non-zero status.

SEE ALSO
aoe-discover(8), aoe-interfaces(8), aoe-stat(8), aoetools(8), udev(7).

AUTHOR
Ed L. Cashin (ecashin@coraid.com)